import numpy as np
from stable_baselines3 import SAC
from mavion_env import MavionEnv


if __name__ == "__main__":

    env = MavionEnv()
    env.target = np.array([0, 0, -20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0])

    model = SAC("MlpPolicy", env, verbose=1)
    model.learn(total_timesteps=20000, log_interval=10)
    model.save("sac_mavion_1")

